org.apache.sysds.runtime.data

## Class SparseBlockFactory

- java.lang.Object
- - org.apache.sysds.runtime.data.SparseBlockFactory

-     public abstract class SparseBlockFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SparseBlockFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SparseBlock` | `copySparseBlock(SparseBlock.Type type, SparseBlock sblock, boolean forceCopy)`
    `static SparseBlock` | `createSparseBlock(int rlen)`
    `static SparseBlock` | `createSparseBlock(SparseBlock.Type type, int rlen)`
    `static SparseBlock` | `createSparseBlock(SparseBlock.Type type, SparseRow row)`
    `static long` | `estimateSizeSparseInMemory(SparseBlock.Type type, long nrows, long ncols, double sparsity)`
    `static SparseBlock.Type` | `getSparseBlockType(SparseBlock sblock)`
    `static boolean` | `isSparseBlockType(SparseBlock sblock, SparseBlock.Type type)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SparseBlockFactory

          public SparseBlockFactory()

  - ### Method Detail

    - #### createSparseBlock

          public static SparseBlock createSparseBlock(int rlen)

    - #### createSparseBlock

          public static SparseBlock createSparseBlock(SparseBlock.Type type,
                                                      int rlen)

    - #### createSparseBlock

          public static SparseBlock createSparseBlock(SparseBlock.Type type,
                                                      SparseRow row)

    - #### copySparseBlock

          public static SparseBlock copySparseBlock(SparseBlock.Type type,
                                                    SparseBlock sblock,
                                                    boolean forceCopy)

    - #### isSparseBlockType

          public static boolean isSparseBlockType(SparseBlock sblock,
                                                  SparseBlock.Type type)

    - #### getSparseBlockType

          public static SparseBlock.Type getSparseBlockType(SparseBlock sblock)

    - #### estimateSizeSparseInMemory

          public static long estimateSizeSparseInMemory(SparseBlock.Type type,
                                                        long nrows,
                                                        long ncols,
                                                        double sparsity)

Copyright © 2020 The Apache Software Foundation. All rights reserved.